html {
  font-size: 15px;
}

@media (max-width: 1680px) {
  html { font-size: 13px; }
}

@media (max-width: 1280px) {
  html { font-size: 11px; }
}

@media (max-width: 1100px) {
  html { font-size: 9px; }
}

@media (max-width: 960px) {
  html { font-size: 8px; }
}

@media (max-width: 768px) {
  html { font-size: 6px; }
}

@media (max-width: 640px) {
  html { font-size: 5px; }
}

body{
  background-image: url('/static/assets/gear-background4.jpg');
  background-size: cover;
  background-position-y: 90%;
}

.title{
  padding: 0.25rem;
  line-height: 3rem;
  text-align: center;
  font-size: 2rem;
  font-family: bold;
}

.sub-title{
  padding: 0.25rem;
  line-height: 2.5rem;
  text-align: center;
  font-size: 1.5rem;
  font-family: bold;
}

.sub-sub-title{
  padding: 0.25rem;
  line-height: 1.6rem;
  text-align: center;
  font-size: 1.2rem;
  font-family: bold;
}

.secondary-color{
  color: var(--secondary);
}

.light-color{
  color: var(--light)
}

.secondary-background-color{
  background: linear-gradient(to bottom, #6c757de6 0%, #6c757d 100%);
}

//los 'center' requieren que el padre posea position: relative/absolute/etc
.center{ 
  position: relative;
  transform: translate(-50%,-50%);
  left: 50%;
  top: 50%;
}
.centerX{
  position: relative;
  transform: translateX(-50%);
  left: 50%;
}
.centerY{
  position: relative;
  transform: translateY(-50%);
  top: 50%;
}


.chevron{
  position: absolute;
  right: 1rem;
  width: 1rem;

  &.right{
    width: 0.8rem
  }
}

.spinner-container{
  width: 2rem;
}

nav{
  .nav-tabs{
    border: 0;

    .nav-link{
      color: #000000;

      &.active{
        background-color: var(--info);
        color: white;
        border-width: 0;
      }
    }
  }

  .tab-pane.active{
    z-index: 5;
  }
}

.test-status{
  position: absolute;
  top: 1rem;
  right: 1.5rem;
  padding: 1rem;
  border-radius: 2rem;
  z-index: 5;
  cursor: pointer;

  &.in-construction{
    background-color: #00dcff57;

    &:hover{
      background-color: #00dcffb0;
    }
  }

  &.built{
    background-color: #04ff0057;

    &:hover{
      background-color: #04ff00b0;
    }
  }
}

.alert_notification{
  position: fixed;
  right: 20px;
  top: 0px;
  transform: translateY(-100%);  
  z-index: 100;
  width: 17%;
  padding-right: 3rem;
  transition: all 0.3s linear;

  &.visible {
    top: 20px;
    transform: translateY(0);
  }

  &.hidden {
    top: 0px !important;
    transform: translateY(-100%);
  }
}
